Data Structures | Typedefs

# game.hpp File Reference

Base functions for all Games. More...

`#include "../core/string_compare_type.hpp"`
`#include "game_scanner.hpp"`
`#include <map>`
`#include "../script/api/script_event_types.hpp"`

Go to the source code of this file.

## Data Structures
class | Game
| Main Game class. More...
## Typedefs
typedef std::map< const char *, class ScriptInfo *, StringCompare > | ScriptInfoList
| A list that maps AI names to their AIInfo object.

## Detailed Description

Base functions for all Games.

Definition in file game.hpp.

## Typedef Documentation

typedef std::map<const char *, class ScriptInfo *, StringCompare> ScriptInfoList

A list that maps AI names to their AIInfo object.

Definition at line 20 of file game.hpp.